// ========================================
// Skybox (adapted from hip_stormy)
// ========================================

textures/eoe_fx/hip_stormy
{
	qer_editorImage env/eoe/stormydays_ft.tga
	q3map_globalTexture
	q3map_sunExt 0.937 0.894 0.713 100 315 40 0.5 32
    q3map_skylight 80 8
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	skyparms env/eoe/stormydays - -
}

// ========================================
// Acid (adapted from pukka3tourney2)
// ========================================

textures/eoe_fx/acid_lm
{
    qer_editorImage textures/eoe_fx/acid.tga
    qer_trans 0.5
    q3map_lightimage textures/eoe_fx/acid.tga
    q3map_globalTexture
    surfaceparm noimpact
    surfaceparm water
    surfaceparm lightfilter
    surfaceparm trans
    cull disable
    deformVertexes wave 30 sin 0 3 0 0.3
    deformVertexes normal 0.1 0.15
    {
        map textures/eoe_fx/envmap2.tga
        blendFunc GL_ONE GL_ONE
        tcGen environment
    }
    {
        map textures/eoe_fx/bubbles.tga
        blendFunc GL_ONE GL_ONE
        tcGen environment
        rgbGen wave sin .5 0 0 0
        tcMod scale 0.75 0.75
        tcMod scroll 0.01 0.01
    }
    { 
        map textures/eoe_fx/pool3d_3e.tga
        blendFunc GL_DST_COLOR GL_ONE
        tcMod scale -0.5 -0.5
        tcMod scroll 0.025 0.025
    }
    {
        map textures/eoe_fx/acid.tga
        blendFunc GL_ZERO GL_SRC_COLOR
        tcMod turb 0.2 0.1 0.1 0.2
        tcMod scale 0.7 0.7
        tcMod scroll 0.001 0.001
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}


// ========================================
// Dust particles (credits to Hipshot)
// ========================================

textures/eoe_fx/particle_01
{
    qer_editorImage textures/eoe_fx/particles.jpg
    qer_trans 0.5
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm nolightmap
    noPicMip
    cull none
    deformVertexes bulge 128 1 2
    {
        map textures/eoe_fx/particles.jpg
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen vertex
        tcMod scroll 0 0.04
    }
}

textures/eoe_fx/particle_02
{
    qer_editorImage textures/eoe_fx/particles2.jpg
    qer_trans 0.5
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm nolightmap
    noPicMip
    cull none
    deformVertexes bulge 128 1 2
    {
        map textures/eoe_fx/particles2.jpg
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen vertex
        tcMod scroll -0.03 -0.05
    }
}

// ========================================
// Sun beam
// ========================================

textures/eoe_fx/sun_beam
{
    qer_trans 0.5
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm nolightmap
    noPicMip
    cull none
    polygonOffset
    sort 6
    {
        map textures/eoe_fx/sun_beam.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen vertex
    }
}
